| Home | Libraries | People | FAQ | More

# Async_Object Class Reference

Inherited by Async_Read_Stream, and Async_Write_Stream.

Inheritance diagram for Async_Object:

List of all members.

## Detailed Description

Asynchronous object concept.

The asynchronous object concept provides callers with access to the io_service used to dispatch handlers for asynchronous operations. This allows the asynchronous object's operations to be wrapped in a higher-level operation, such that the handler for the higher-level operation be dispatched through the correct io_service.

Implemented By:
  boost::asio::basic_deadline_timer
  boost::asio::basic_datagram_socket
  boost::asio::basic_locking_dispatcher
  boost::asio::basic_socket_acceptor
  boost::asio::basic_stream_socket
  boost::asio::buffered_read_stream
  boost::asio::buffered_write_stream
  boost::asio::buffered_stream
  boost::asio::ipv4::basic_host_resolver
  boost::asio::ssl::stream

## Public Types

typedef implementation_defined | io_service_type
| The io_service type for this object.

## Public Member Functions

io_service_type & | io_service ()
| Get the io_service associated with the object.

## Member Typedef Documentation

typedef implementation_defined Async_Object::io_service_type

The io_service type for this object.

## Member Function Documentation

io_service_type& Async_Object::io_service | ( |  | ) |

Get the io_service associated with the object.

This function may be used to obtain the io_service object that the object uses to dispatch handlers for asynchronous operations.

Returns:
  A reference to the io_service object that the object will use to dispatch handlers. Ownership is not transferred to the caller.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff